<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');

$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$codProdutor=$sessao->getVar('codprodutor');
//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
$legendaGeral="Registro de amostra(Incluir,alterar,excluir,localizar)  Operador:".$nomeOperador;
$casoTabela=$sessao->getVar('controle');  //ja vem o nome da tabela
$nivel=$sessao->getVar('nivel');
if($nivel=='PRODUTOR'):
   $idEntidade=$codProdutor;
   $casoTabela=="deteatestado";
else:
   $idEntidade=$idLabo;
endif;

//echo("id entidade=$idEntidade<br>");


switch ($tela):

    case 'listaEspTCON':
		$sessao->setVar('controle','deteatestado');
        echo '<h2>Espécies habilitadas e detes para termo </h2>';
		echo("codProdutor=$codProdutor  idLabo=$idLabo<br>");
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>

            <tr>
            <th>Espécie</th><th>Espécie</th> <th>Det(1)</th> <th>Det(2)</th> <th>Det(3)</th> <th>Det(4)</th>
            </tr>

           </thead>
            <tbody>
            <?php 
	        //ENTRA DE QUAKQUER MANEIRA
	 	 	$generica=new tabelagenerica();//esta pega lista de especies
	 	 	$generica1=new tabelagenerica();//esta pegha as det da especie que ja tem det
			$generica->tabela="especies, habilitaespecie";
			$generica->campos_valores = array(
					"esp_nome" => NULL,
					"esp_id" => NULL,
				);
			$generica->extras_select =" where  hae_id_labo=".$idLabo." && hae_cod_especie=esp_id  order by esp_nome";
	            $generica->selecionaCampos($generica);
			    while ($resgenerica = $generica->retornaDados()):
				    $idEspecie=$resgenerica->esp_id;
                    //##########vai achar as dets que ja estao vinculadas a especie///////////
                    $detNumero1="-x-";  
                    $detNumero2="-x-";  
                    $detNumero3="-x-";  
                    $detNumero4="-x-";  
					$generica1->tabela="deteatestado";
					$generica1->campos_valores = array(
						"dbo_sigla_dete1" => NULL,
						"dbo_sigla_dete2" => NULL,
						"dbo_sigla_dete3" => NULL,
						"dbo_sigla_dete4" => NULL,
						);
				    	$generica1->extras_select =" where dbo_lab=".$idEntidade." and dbo_especie=".$idEspecie;
						//echo $generica1->extras_select . $nivel;
			            $generica1->selecionaCampos($generica1);
					    while ($resgenerica1 = $generica1->retornaDados()):
                           $detNumero1=$resgenerica1->dbo_sigla_dete1;
                           $detNumero2=$resgenerica1->dbo_sigla_dete2;
                           $detNumero3=$resgenerica1->dbo_sigla_dete3;
                           $detNumero4=$resgenerica1->dbo_sigla_dete4;
                        endwhile;
                    /////final da localizacao das det da especie///////// 
                    echo '<tr>';
                    printf('<td>%s</td>',$resgenerica->esp_nome);
					printf('<td class="center">
					<a href="?m=outrasdeterminacoes&t=editar&esp_id=%s" title="Selecionar"><img src="images/edit.png" alt="Selecionar" /></a>
					</td>',$resgenerica->esp_id);
                    printf('<td>%s</td>',$detNumero1);
                    printf('<td>%s</td>',$detNumero2);
                    printf('<td>%s</td>',$detNumero3);
                    printf('<td>%s</td>',$detNumero4);
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>

        <?php        
    break;



    case 'editar':
        
		if($casoTabela=="deteboletim") $mensagem="BOLETIM";
		if($casoTabela=="deteatestado") $mensagem="TERMO DE CONFORMIDADE";
		echo("Estas são as determinações que vão aparecer, nesta mesma ordem, no $mensagem  Tabela=  $casoTabela<br>");
		if(isset($_POST['gravar'])):
            //echo("esta no gravarhihihihi<br>");		
		    //echo("aqui vai inserir o item do pedido pedido vinculado a esta id nota= $sql  nova idNota= $idNota<br>");
			$dete1=$_POST['dete1'];
			$dete2=$_POST['dete2'];
			$dete3=$_POST['dete3'];
			$dete4=$_POST['dete4'];
			$idEspecie=$sessao->getVar('idEspecie');
			
			$sql=" update " .$casoTabela." set dbo_sigla_dete1='$dete1' , dbo_sigla_dete2='$dete2', dbo_sigla_dete3='$dete3', dbo_sigla_dete4='$dete4'  where  dbo_especie=".$idEspecie." && dbo_lab=".$idEntidade;
			$userNota = new generica();
			$userNota->campos_valores = $sql;				 
			$userNota->inserirEspecial($userNota);
			printMSG('OK. Editou dados. Confira para ver se está tudo certo. ','alerta');
		endif;
		
	    if (isset($_GET['esp_id'])):
	        $idEspecie = $_GET['esp_id'];
	        $sessao->setVar('idEspecie',$idEspecie);
		endif;	       
        $idEspecie=$sessao->getVar('idEspecie');
		$userbd = new especies();
        $userbd->extras_select = "WHERE esp_id=".$idEspecie;
        $userbd->selecionaTudo($userbd);
        $resbd = $userbd->retornaDados();
		$nome=$resbd->esp_nome;
		echo("As determinações estarão vinculadas à espécie : $nome  Cod_laboratório: $idLabo<br>");
		
        //ENTRA DE QUAKQUER MANEIRA para listar as determinacoes que é ma tabela generica do sistema
 	 	$generica=new tabelagenerica();
		$generica->tabela="determinacoes";
		$generica->campos_valores = array(
				"det_sigla" => NULL,
			);
		$generica->extras_select =" order by det_sigla";
	    $generica->selecionaCampos($generica);
        $contador=0;
		while ($resgenerica = $generica->retornaDados()):
			$contador++; 
			$vetorDete[$contador]=$resgenerica->det_sigla;
	    endwhile;

/*repetiu
        //ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
		$generica->tabela="determinacoes";
		$generica->campos_valores = array(
				"det_sigla" => NULL,
			);
		$generica->extras_select =" order by det_sigla";
	    $generica->selecionaCampos($generica);
        $contador=0;
		while ($resgenerica = $generica->retornaDados()):
			$contador++; 
			$vetorDete[$contador]=$resgenerica->det_sigla;
	    endwhile;
*/

        //captura a det gravada
        $contador1=0;//VAI VAREIFICAR SE TEM OU NAO REGISTRO PARA AEUELA ESPECIE, SE NAO TEM, JA CRIA
	    $generica->tabela=$casoTabela;
		$generica->campos_valores = array(
			"dbo_sigla_dete1" => NULL,
			"dbo_sigla_dete2" => NULL,
			"dbo_sigla_dete3" => NULL,
			"dbo_sigla_dete4" => NULL,
			);
	    	$generica->extras_select =" where dbo_lab=".$idEntidade." and dbo_especie=".$idEspecie;
            $generica->selecionaCampos($generica);
		    while ($resgenerica = $generica->retornaDados()):
			   $contador1++; 
               $detNumero1=$resgenerica->dbo_sigla_dete1;
               $detNumero2=$resgenerica->dbo_sigla_dete2;
               $detNumero3=$resgenerica->dbo_sigla_dete3;
               $detNumero4=$resgenerica->dbo_sigla_dete4;
            endwhile;

        if($contador1==0):
			 $sql="insert into ".$casoTabela."(dbo_lab,dbo_especie)";
	         $sql.="values('$idEntidade','$idEspecie')";
		     echo("sql de gravacao REGISTRO NOVO =$sql<br>");
	         $userNota = new generica();
	         $userNota->campos_valores = $sql;				 
			 $userNota->inserirEspecial($userNota);
			 $idNota=$userNota->linhasafetadas;
			 //echo("idNota=$idNota<br>");
			 //echo("Criou registro novo ");
			 printMSG('OK. Gravou registro novo. Ajuste-o neste momento.   ','alerta');
        endif;


        ?>
		<form class="userform" method="POST" action="">
        <table>
        <tr>
        <td>Selecione todas as determinações de uma so vez e mande gravar--> </td>  
        <td><select name="dete1" >  
		<option><?php echo $detNumero1; ?></option>
        <?php
		for($i=1;$i<=$contador;$i++)
		{
		   	?>
			 <option><?php echo $vetorDete[$i]; ?></option>
		    <?php 	
		}   
        ?> 
        </select></td>
        <td><select name="dete2" >  
		<option><?php echo $detNumero2; ?></option>
        <?php
		for($i=1;$i<=$contador;$i++)
		{
		   	?>
			 <option><?php echo $vetorDete[$i]; ?></option>
		    <?php 	
		}   
        ?> 
        </select></td>
        <td><select name="dete3" >  
		<option><?php echo $detNumero3; ?></option>
		
        <?php
		for($i=1;$i<=$contador;$i++)
		{
		   	?>
			 <option><?php echo $vetorDete[$i]; ?></option>
		    <?php 	
		}   
        ?> 
        </select></td>
        <td><select name="dete4" >  
		<option><?php echo $detNumero4; ?></option>
        <?php
		for($i=1;$i<=$contador;$i++)
		{
		   	?>
			 <option><?php echo $vetorDete[$i]; ?></option>
		    <?php 	
		}   
        ?> 
        </select></td>
		<td><input type="submit"  name="gravar"  value="Gravar"  /></td>

        </tr>
		</table>
		</form>
		Orientação:<br>
		Selecione a DETERMINAÇÃO que vai aparecer no seu <?php echo $mensagem; ?>. Repare que o conjunto é proprio para cada espécie analisada. Somente clique em gravar depois que selecionou os itens que vai precisar para a especie(no máximo 3).
			 TZO=TZ(Soja/Feijão); TZF=TZ(Forrag.);EAC=Env. Acelerado; PMS=Peso de mil sementes; FRI=Frio INF=Sementes infestadas DTU=Determinação de umidade  VEE=Verificação da espécie(forrageiras peletizadas) <br>
			 CLV=Classificação de vigor(Fortes&Fracas) MUP(TZ->Mec/Umi/Perc)  BVI(Broca viva(Café)CAN=Canteiro  DME=Dano mecânico)<br>	
			 Orientação especial: No caso daa excessões previstas na IN45, a mais frequente Vigna em soja. Defina a coluna usando a determinação PM1(reservada especialmente para isso)<br>	
		
		
	<?php

    break;//final do case editar

    case 'listaEspBOLE':
	    $sessao->setVar('controle','deteboletim');
        echo '<h2>Espécies habilitadas e detes para boletim</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>

            <tr>
            <th>Espécie</th><th>Espécie</th> <th>Det(1)</th> <th>Det(2)</th> <th>Det(3)</th> <th>Det(4)</th>
            </tr>

           </thead>
            <tbody>
            <?php 
	        //ENTRA DE QUAKQUER MANEIRA
	 	 	$generica=new tabelagenerica();//esta pega lista de especies
	 	 	$generica1=new tabelagenerica();//esta pegha as det da especie que ja tem det
			$generica->tabela="especies, habilitaespecie";
			$generica->campos_valores = array(
					"esp_nome" => NULL,
					"esp_id" => NULL,
				);
			$generica->extras_select =" where  hae_id_labo=".$idLabo." && hae_cod_especie=esp_id  order by esp_nome";
			echo $generica->extras_select; 
	            $generica->selecionaCampos($generica);
			    while ($resgenerica = $generica->retornaDados()):
				    $idEspecie=$resgenerica->esp_id;
                    //##########vai achar as dets que ja estao vinculadas a especie///////////
                    $detNumero1="-x-";  
                    $detNumero2="-x-";  
                    $detNumero3="-x-";  
                    $detNumero4="-x-";  
					$generica1->tabela="deteboletim";
					$generica1->campos_valores = array(
						"dbo_sigla_dete1" => NULL,
						"dbo_sigla_dete2" => NULL,
						"dbo_sigla_dete3" => NULL,
						"dbo_sigla_dete4" => NULL,
						);
				    	$generica1->extras_select =" where dbo_lab=".$idLabo." and dbo_especie=".$idEspecie;
			            $generica1->selecionaCampos($generica1);
					    while ($resgenerica1 = $generica1->retornaDados()):
                           $detNumero1=$resgenerica1->dbo_sigla_dete1;
                           $detNumero2=$resgenerica1->dbo_sigla_dete2;
                           $detNumero3=$resgenerica1->dbo_sigla_dete3;
                           $detNumero4=$resgenerica1->dbo_sigla_dete4;
                        endwhile;
                    /////final da localizacao das det da especie///////// 
                    echo '<tr>';
                    printf('<td>%s</td>',$resgenerica->esp_nome);
					printf('<td class="center">
					<a href="?m=outrasdeterminacoes&t=editar&esp_id=%s" title="Selecionar"><img src="images/edit.png" alt="Selecionar" /></a>
					</td>',$resgenerica->esp_id);
                    printf('<td>%s</td>',$detNumero1);
                    printf('<td>%s</td>',$detNumero2);
                    printf('<td>%s</td>',$detNumero3);
                    printf('<td>%s</td>',$detNumero4);
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>

        <?php        
    break;








	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>